Skip to main content
GET
/
api
/
detections
/
suggestions
cURL
curl -X GET "https://app.cotool.ai/api/detections/suggestions" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json"
{
  "suggestions": [
    {
      "id": "<string>",
      "organizationId": "<string>",
      "name": "<string>",
      "description": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "deletedAt": "<string>",
      "toolNames": [
        "<string>"
      ],
      "toolActionConfigs": [
        {
          "type": "<string>",
          "allowedChannels": [
            {
              "id": "<string>",
              "name": "<string>"
            }
          ]
        }
      ],
      "inputs": [
        {
          "type": "text",
          "name": "<string>",
          "description": "<string>",
          "required": true
        }
      ],
      "modelAlias": "<unknown>",
      "planningMode": "auto",
      "agentType": "response",
      "origin": "user",
      "isBuiltIn": true,
      "builtInAgentType": "threat-relevancy",
      "cronSchedule": "<string>",
      "enabled": true,
      "cliNames": [
        "<string>"
      ],
      "contextDocs": [
        {
          "provider": "googleDocs",
          "id": "<string>",
          "name": "<string>",
          "mimeType": "<string>"
        }
      ],
      "tinesStoryImportId": "<string>",
      "triggerSummary": [
        {
          "id": "<string>",
          "source": "jira",
          "name": "<string>",
          "enabled": true
        }
      ],
      "structuredOutputSchema": {
        "type": "string",
        "title": "<string>",
        "description": "<string>",
        "properties": {},
        "items": "<unknown>",
        "required": [
          "<string>"
        ],
        "enum": [
          "<string>"
        ],
        "additionalProperties": true,
        "x-cotool": {
          "presetId": "classification"
        }
      },
      "tags": [
        "<string>"
      ],
      "skills": [
        {
          "skillId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "skill": {
            "name": "<string>",
            "description": "<string>",
            "requiredTools": [
              "<string>"
            ]
          },
          "skillVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "invocationCount30d": 123
        }
      ],
      "acceptanceCriteria": [
        "<string>"
      ],
      "detectionCategory": "baseline_anomaly",
      "detectionQuery": "<string>",
      "siemType": "<string>",
      "isSuggestion": true,
      "lastDetectionRunAt": "<string>",
      "activeSystemPrompt": {
        "id": "<string>",
        "prompt": "<string>",
        "description": "<string>"
      },
      "runs30d": 123,
      "runningRuns30d": 123,
      "hits30d": 123,
      "avgEvalScore30d": 123,
      "threatModelSnippet": "<string>",
      "threatModelVersion": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "version": 123,
        "isCurrent": true
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.cotool.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here

Response

200 - application/json

Successful response

suggestions
object[]
required

Array of detection suggestions

Agent configuration - can be either a built in (system-managed) or custom (user-created) agent